### Method

# Atk Misc threads_leave

deprecated: Unknown since: 1.13

#### Declaration [src]

    void
    atk_misc_threads_leave (
      AtkMisc* misc
    )

#### Description [src]

Release the thread mutex for the GUI toolkit, if one exists. This method, and atk_misc_threads_enter, are needed in some situations by threaded application code which services ATK requests, since fulfilling ATK requests often requires calling into the GUI toolkit. If a long-running or potentially blocking call takes place inside such a block, it should be bracketed by atk_misc_threads_leave/atk_misc_threads_enter calls. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_LEAVE).

Available since: 1.13

Deprecated since: Unknown

Since 2.12.